- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions

# QTextOption Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qtextoption.h.

`#include <qtextoption.h>`

List of all members.

## Classes
struct | Tab
## Public Types
enum | TabType { LeftTab, RightTab, CenterTab, DelimiterTab }
enum | WrapMode { NoWrap, WordWrap, ManualWrap, WrapAnywhere, WrapAtWordBoundaryOrAnywhere }
enum | Flag { ShowTabsAndSpaces = 0x1, ShowLineAndParagraphSeparators = 0x2, AddSpaceForLineAndParagraphSeparators = 0x4, SuppressColors = 0x8, IncludeTrailingSpaces = 0x80000000 }
## Public Member Functions
| QTextOption ()
| QTextOption (Qt::Alignment alignment)
| ~QTextOption ()
| QTextOption (const QTextOption &o)
QTextOption & | operator= (const QTextOption &o)
void | setAlignment (Qt::Alignment alignment)
Qt::Alignment | alignment () const
void | setTextDirection (Qt::LayoutDirection aDirection)
Qt::LayoutDirection | textDirection () const
void | setWrapMode (WrapMode wrap)
WrapMode | wrapMode () const
void | setFlags (Flags flags)
Flags | flags () const
void | setTabStop (qreal tabStop)
qreal | tabStop () const
void | setTabArray (QList< qreal > tabStops)
QList< qreal > | tabArray () const
void | setTabs (QList< Tab > tabStops)
QList< Tab > | tabs () const
void | setUseDesignMetrics (bool b)
bool | useDesignMetrics () const

## Member Enumeration Documentation

enum TabType

Search for all occurrences

Enumerator:

  LeftTab | Search for all occurrences
  RightTab | Search for all occurrences
  CenterTab | Search for all occurrences
  DelimiterTab | Search for all occurrences

Definition at line 62 of file qtextoption.h.

                     {
            LeftTab,
            RightTab,
            CenterTab,
            DelimiterTab
        };

enum WrapMode

Search for all occurrences

Enumerator:

  NoWrap | Search for all occurrences
  WordWrap | Search for all occurrences
  ManualWrap | Search for all occurrences
  WrapAnywhere | Search for all occurrences
  WrapAtWordBoundaryOrAnywhere | Search for all occurrences

Definition at line 102 of file qtextoption.h.

                      {
            NoWrap,
            WordWrap,
            ManualWrap,
            WrapAnywhere,
            WrapAtWordBoundaryOrAnywhere
        };

enum Flag

Search for all occurrences

Enumerator:

  ShowTabsAndSpaces | Search for all occurrences
  ShowLineAndParagraphSeparators | Search for all occurrences
  AddSpaceForLineAndParagraphSeparators | Search for all occurrences
  SuppressColors | Search for all occurrences
  IncludeTrailingSpaces | Search for all occurrences

Definition at line 112 of file qtextoption.h.

                  {
            ShowTabsAndSpaces = 0x1,
            ShowLineAndParagraphSeparators = 0x2,
            AddSpaceForLineAndParagraphSeparators = 0x4,
            SuppressColors = 0x8,
            IncludeTrailingSpaces = 0x80000000
        };

## Constructor & Destructor Documentation

QTextOption | ( |  | ) |

QTextOption | ( | Qt::Alignment | alignment | ) |

~QTextOption | ( |  | ) |

QTextOption | ( | const QTextOption & | o | ) |

## Member Function Documentation

QTextOption& operator= | ( | const QTextOption & | o | ) |

void setAlignment | ( | Qt::Alignment | alignment | ) | `[inline]`

Search for all occurrences

Definition at line 148 of file qtextoption.h.

    { align = aalignment; }

Qt::Alignment alignment | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 97 of file qtextoption.h.

    { return Qt::Alignment(align); }

void setTextDirection | ( | Qt::LayoutDirection | aDirection | ) | `[inline]`

Search for all occurrences

Definition at line 99 of file qtextoption.h.

    { this->direction = aDirection; }

Qt::LayoutDirection textDirection | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 100 of file qtextoption.h.

    { return Qt::LayoutDirection(direction); }

void setWrapMode | ( | WrapMode | wrap | ) | `[inline]`

Search for all occurrences

Definition at line 109 of file qtextoption.h.

    { wordWrap = wrap; }

WrapMode wrapMode | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 110 of file qtextoption.h.

    { return static_cast<WrapMode>(wordWrap); }

void setFlags | ( | Flags | flags | ) | `[inline]`

Search for all occurrences

Definition at line 151 of file qtextoption.h.

    { f = aflags; }

Flags flags | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 121 of file qtextoption.h.

    { return Flags(f); }

void setTabStop | ( | qreal | tabStop | ) | `[inline]`

Search for all occurrences

Definition at line 154 of file qtextoption.h.

    { tab = atabStop; }

qreal tabStop | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 124 of file qtextoption.h.

    { return tab; }

void setTabArray | ( | QList< qreal > | tabStops | ) |

Search for all occurrences

QList<qreal> tabArray | ( |  | ) | const

Search for all occurrences

void setTabs | ( | QList< Tab > | tabStops | ) |

Search for all occurrences

QList<Tab> tabs | ( |  | ) | const

Search for all occurrences

void setUseDesignMetrics | ( | bool | b | ) | `[inline]`

Search for all occurrences

Definition at line 132 of file qtextoption.h.

    { design = b; }

bool useDesignMetrics | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 133 of file qtextoption.h.

    { return design; }

The documentation for this class was generated from the following file:

- QtGui/qtextoption.h

QTextOption QTextOption QTextOption QTextOption QTextOption QTextOption QTextOption QTextOption QTextOption QTextOption
QTextOption QTextOption QTextOption QTextOption QTextOption QTextOption QTextOption QTextOption QTextOption QTextOption